#include <QtGui>

#include "window.h"

Window::Window(QWidget *parent)
    : QDialog(parent)
{
	setupUi(this);

	connect(pButton, SIGNAL(clicked()), this, SLOT(buttonClicked()));
	connect(pButton, SIGNAL(pressed()), this, SLOT(buttonPressed()));
}

Window::~Window(void)
{
}

void Window::buttonPressed()
{
	pLabel->setText("Button pressed");
	QMessageBox::StandardButton reply;
	reply = QMessageBox::question(this, tr("Question"), tr("Press the button"), QMessageBox::Yes | QMessageBox::No);
}

void Window::buttonClicked()
{
	pLabel->setText("Button clicked");
}
